## message-switch 0.10.3

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=xenstore
J=4

export OCAMLRUNPARAM=b

TESTS ?= --enable-tests
ifneq "$(MIRAGE_OS)" ""
TESTS := --disable-tests
endif

clean:
	@rm -f setup.data setup.log setup.bin
	@rm -rf _build

distclean: clean
	@rm -f config.mk

-include config.mk

config.mk: configure
	./configure

configure: configure.ml
	ocamlfind ocamlc -linkpkg -package findlib,cmdliner -o configure configure.ml
	@rm -f configure.cm*

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure $(TESTS)

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

OCAML := $(shell ocamlc -where)
PYTHON := $(OCAML)/../python

install: setup.bin
	@./setup.bin -install
	install -D _build/cli/main.native $(DESTDIR)/$(BINDIR)/ms
	install -D _build/switch/switch_main.native $(DESTDIR)/$(BINDIR)/message-switch

# oasis bug?
#test: setup.bin build
#	@./setup.bin -test
test:
	_build/core_test/xs_test.native
	_build/server_test/server_test.native


reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@cp -f core/message_switch.py $(PYTHON)/
	@./setup.bin -reinstall

=== debian/changelog ===
message-switch (0.10.3-1) UNRELEASED; urgency=low

  * Update to 0.10.3

 -- David Scott <dave.scott@citrix.com>  Thu, 19 Jun 2014 12:00:00 +0000

message-switch (0.10.2-1) UNRELEASED; urgency=low

  * Update to 0.10.2

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

message-switch (0.10.1-1) UNRELEASED; urgency=low

  * Update to 0.10.1 which is more tolerant of startup orderings

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 18 Oct 2013 12:00:00 +0000

=== debian/control ===
Source: message-switch
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liboclock-ocaml-dev,
 librpc-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libre-ocaml-dev

Package: message-switch
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A store and forward message switch
 A store and forward message switch for OCaml.

Package: message-switch-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 message-switch (>= 0.10.3-1),
 libcohttp-ocaml-dev,
 liboclock-ocaml-dev,
 libre-ocaml-dev,
 librpc-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for message-switch
 The message-switch-devel package contains libraries and signature
 files for developing applications that use message-switch.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:

## message-switch 0.10.4

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=xenstore
J=4

export OCAMLRUNPARAM=b

TESTS ?= --enable-tests
ifneq "$(MIRAGE_OS)" ""
TESTS := --disable-tests
endif

clean:
	@rm -f setup.data setup.log setup.bin
	@rm -rf _build

distclean: clean
	@rm -f config.mk

-include config.mk

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure $(TESTS) $(ASYNC) $(LWT)

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

OCAML := $(shell ocamlc -where)
PYTHON := $(OCAML)/../python

install: setup.bin
	@./setup.bin -install
	mkdir -p $(DESTDIR)/$(BINDIR)
	install _build/cli/main.native $(DESTDIR)/$(BINDIR)/ms
	install _build/switch/switch_main.native $(DESTDIR)/$(BINDIR)/message-switch

# oasis bug?
#test: setup.bin build
#	@./setup.bin -test
test:
	./basic-rpc-test.sh


reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@cp -f core/message_switch.py $(PYTHON)/
	@./setup.bin -reinstall

=== debian/changelog ===
message-switch (0.10.4-1) UNRELEASED; urgency=low

  * Update to 0.10.4, enable core/async

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  camlp4,
  python,
  debhelper (>= 8),
- liboclock-ocaml-dev,
  librpc-ocaml-dev,
  camlp4-extra,
  ocaml-native-compilers,
+ ocaml-async-dev,
  ocaml-findlib,
  libcmdliner-ocaml-dev,
  libre-ocaml-dev
@@ -36,9 +36,8 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- message-switch (>= 0.10.3-1),
+ message-switch (>= 0.10.4-1),
  libcohttp-ocaml-dev,
- liboclock-ocaml-dev,
  libre-ocaml-dev,
  librpc-ocaml-dev
 Provides: ${ocaml:Provides}
